---
title: "Search for course feedback"
slug: "search-for-course-feedback"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for course feedback

Get/SearchCourseFeedback

Allows you to search for course feedback.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterspageIndexinteger (int32) 

A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results).

pageSizeinteger (int32) 

Indicates how many results you want per page. if not supplied, a default value of 100 is used.

sortstring

The value you want to sort by. If not supplied, a default value of "Created" will be used. You can append " DESC" after the sort value to sort descending. For example, "Created DESC" would sort by created date in descending order. Possible values:

- Created
- Title
- Content
- Positive
- Negative
- User
- CourseAssignment
- Course
- Class
- ClassEnrollment
- Activity
- ActivityType

courseIdinteger (int32) 

An optional parameter used to filter for a course by Id. When specified, only feedback entries for the specified course will be returned.

Example67785
namestring

An optional parameter used to filter for courses by name. When specified, only feedback entries for courses that have names that contain or match this value will be returned.

createdAfterinteger (int64)  | null

An optional parameter used to filter for feedback entries created after a specified date. When used in conjunction with the "createdBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1492203295
createdBeforeinteger (int64)  | null

An optional parameter used to filter for feedback entries created before a specified date. When used in conjunction with the "createdAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1492203295

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='1d7e38a3-047d-4eee-bef7-3eb1040411f5'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

TotalCountinteger  (int32)    

The total number of results that match the search conditions, not all of which may be in the current result set.

Example1
TotalPagesinteger  (int32)    

The total number of result pages that match the search conditions.

Example1
Results Array of object (CourseFeedbackSearchResult)   

See CourseFeedbackSearchResult

object  Submittedinteger  (int64)    

When the feedback entry was created. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1492203295
CourseIdinteger  (int32)    

The Id of the course.

Example1234
CourseNamestring    

The name of the course.

ExampleCourse 1234 name sample
Titlestring    

The title of the feedback message.

ExampleCourse 1234 title sample
Contentstring   | null  

The text content of the feedback message.

ExampleCourse content sample
Positiveboolean    

Indicates whether the feedback is positive.

Examplefalse
Negativeboolean    

Indicates whether the feedback is negative.

Exampletrue
UserIdinteger  (int32)   | null  

The Id of the user (if available) of the user that submitted the feedback.

Example279207
UserExternalIdstring   | null  

The ExternalId of the user (if available) of the user that submitted the feedback.

Example831ab062-fcd9-44c7-9ffd-15ef98e9746e
CourseAssignmentIdinteger  (int32)   | null  

The Id of the course assignment (if any).

Example68905
ClassEnrollmentIdinteger  (int32)   | null  

The Id of the class enrollent (if any).

Example4576
ActivityIdinteger  (int32)   | null  

The Id of the activity (if any).

Example123
ActivityTypeIdinteger  (int32)   | null  

The Id of the activity type (if any)

- ScormModule = 2
- Lab = 4
- Survey = 10
- InstructorSurvey = 20
- OrganizationSurvey = 30
- ExternalLink = 40
- Assessment = 50
- Video = 60
- Document = 70

Example123
ActivityNamestring   | null  

The activity's name (if any)

ExampleSample activity name
